## class Fl_JPEG_Image

### Class Hierarchy

    Fl_RGB_Image
       |
       +----Fl_JPEG_Image

### Include Files

    #include <FL/Fl_JPEG_Image.H>

### Additional Libraries

    -lfltk_images  /  fltkimages.lib

### Description

The `Fl_JPEG_Image` class supports loading, caching, and drawing of Joint Photographic Experts Group (JPEG) File Interchange Format (JFIF) images. The class supports grayscale and color (RGB) JPEG image files.

### Methods

- Fl_JPEG_Image
- ~Fl_JPEG_Image

#### Fl_JPEG_Image::Fl_JPEG_Image(const char *filename);

The constructor loads the named JPEG image.

#### Fl_JPEG_Image::~Fl_JPEG_Image();

The destructor free all memory and server resources that are used by the image.